[arch-commits] Commit in subversion/trunk (PKGBUILD subversion.rpath.fix.patch)

Douglas Soares de Andrade douglas at archlinux.org
Sun Jun 7 01:51:46 EDT 2009


    Date: Sunday, June 7, 2009 @ 01:51:46
  Author: douglas
Revision: 41750

upgpkg: subversion 1.6.2-5
    Patched with the latest gerardo patch to fix clean chroot issues

Added:
  subversion/trunk/subversion.rpath.fix.patch
Modified:
  subversion/trunk/PKGBUILD

----------------------------+
 PKGBUILD                   |   19 ++++++++-----------
 subversion.rpath.fix.patch |   13 +++++++++++++
 2 files changed, 21 insertions(+), 11 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-06-07 04:22:05 UTC (rev 41749)
+++ PKGBUILD	2009-06-07 05:51:46 UTC (rev 41750)
@@ -1,10 +1,10 @@
 # $Id$
-# Contributer: Jason Chu <jason at archlinux.org>
-# Maintainer: Jason Chu <jason at archlinux.org>
+# Maintainer: Douglas Soares de Andrade <douglas at archlinux.org>
+# Contributor: Jason Chu <jason at archlinux.org>
 
 pkgname=subversion
 pkgver=1.6.2
-pkgrel=4
+pkgrel=5
 pkgdesc="Replacement for CVS, another versioning system (svn)"
 arch=(i686 x86_64)
 license=('apache' 'bsd')
@@ -13,7 +13,8 @@
              'perl>=5.10.0-3' 'swig>=1.3.31' 'ruby' 'openjdk6' 'autoconf'
              'sqlite3')
 source=(http://subversion.tigris.org/downloads/$pkgname-$pkgver.tar.bz2
-        svnserve svn svnserve.conf svnmerge.py)
+        svnserve svn svnserve.conf svnmerge.py
+        subversion.rpath.fix.patch)
 
 backup=('etc/xinetd.d/svn' 'etc/conf.d/svnserve')
 url="http://subversion.tigris.org/"
@@ -26,6 +27,7 @@
    [ -z "${J2REDIR}" ] && . /etc/profile.d/openjdk6.sh
    [ -z "${J2SDKDIR}" ] && . /etc/profile.d/openjdk6.sh
 
+   patch -p0 < $srcdir/subversion.rpath.fix.patch || return 1
    autoreconf
    ./configure --prefix=/usr --with-apr=/usr --with-apr-util=/usr \
                --with-zlib=/usr --with-neon=/usr --with-apxs \
@@ -47,12 +49,6 @@
    install -d -m 755 tools/hook-scripts $startdir/pkg/usr/share/subversion/
    rm -f $startdir/pkg/usr/share/subversion/hook-scripts/*.in
 
-   (
-     cd subversion/bindings/swig/perl/native
-     perl Makefile.PL
-     sed 's|^LD_RUN_PATH|#LD_RUN_PATH|g;s|LD_RUN_PATH="$(LD_RUN_PATH)" ||g' -i Makefile{,.{client,delta,fs,ra,repos,wc}}
-   ) || return 1
-
    make DESTDIR=$startdir/pkg swig-pl || return 1
    make install-swig-pl DESTDIR=$startdir/pkg INSTALLDIRS=vendor || return 1
    rm -f $startdir/pkg/usr/lib/perl5/vendor_perl/auto/SVN/_Core/.packlist
@@ -79,4 +75,5 @@
          'c5a2e490b3e58c6bd2ca3a2e72b71845'
          'a0db6dd43af33952739b6ec089852630'
          'c459e299192552f61578f3438abf0664'
-         '21bf3aa5b797ce98eba8307f30e9c070')
+         '21bf3aa5b797ce98eba8307f30e9c070'
+         '7cc37072e578f3d527e300881f92b966')

Added: subversion.rpath.fix.patch
===================================================================
--- subversion.rpath.fix.patch	                        (rev 0)
+++ subversion.rpath.fix.patch	2009-06-07 05:51:46 UTC (rev 41750)
@@ -0,0 +1,13 @@
+--- subversion.remove.rpath.round2.patch	(revision 0)
++++ subversion.remove.rpath.round2.patch	(revision 0)
+@@ -0,0 +1,10 @@
++--- Makefile.in.orig	2009-02-16 14:10:48.000000000 -0200
+++++ Makefile.in	2009-06-04 00:56:29.000000000 -0300
++@@ -678,6 +678,7 @@
++ 
++ $(SWIG_PL_DIR)/native/Makefile: $(SWIG_PL_DIR)/native/Makefile.PL
++ 	cd $(SWIG_PL_DIR)/native; $(PERL) Makefile.PL
+++	cd $(SWIG_PL_DIR)/native; sed -i 's|LD_RUN_PATH|DIE_RPATH_DIE|g' Makefile{,.{client,delta,fs,ra,repos,wc}}
++ 
++ swig-pl_DEPS = autogen-swig-pl libsvn_swig_perl \
++   $(SWIG_PL_DIR)/native/Makefile



More information about the arch-commits mailing list